# $Revision: 1.37 $, $Date: 2004/08/10 19:48:36 $
Summary:	A free AC-3 stream decoder
Summary(pl):	Darmowy dekoder strumieni AC-3
Name:		ac3dec
Version:	0.6.1
Release:	8
Epoch:		1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://gusnet.cx/aaron/codecs/ac3/tarballs/%{name}-%{version}.tar.gz
# Source0-md5:	92b8d3af8d0d06318bb2bb04b8093eef
Patch0:		%{name}-make.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-ppc.patch
Patch3:		%{name}-fixbuild.patch
Patch4:		%{name}-amd64.patch
URL:		http://gusnet.cx/aaron/codecs/ac3/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ac3dec is a free AC-3 stream decoder.

%description -l pl
ac3dec jest darmowym dekoderem strumieni AC-3.

%package devel
Summary:	Header file required to build programs using ac3dec library
Summary(pl):	Pliki nagwkowe wymagane przez programy uywajce ac3dec
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Header files required to build programs using ac3dec library

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji programw korzystajcych z
biblioteki ac3dec.

%package static
Summary:	Static ac3dec library
Summary(pl):	Statyczna biblioteka ac3dec
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static ac3dec library.

%description static -l pl
Statyczna biblioteka ac3dec.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc TODO README Change*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ac3

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ac3dec.spec,v $
Revision 1.37  2004/08/10 19:48:36  havner
- rel 8

Revision 1.36  2004/08/10 19:13:05  havner
- amd64 patch

Revision 1.35  2004/08/10 18:58:53  havner
- reverted for now

Revision 1.34  2004/08/10 18:57:07  havner
- excludearch amd64
- rel 8

Revision 1.33  2004/08/10 18:52:00  havner
- fixbuild patch
- rel 7

Revision 1.32  2004/08/10 17:27:05  averne
- refresh config.sub
- rel 6

Revision 1.31  2003/11/25 10:04:22  averne
- r5

Revision 1.30  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.29  2003/08/06 16:04:07  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.28  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.27  2003/06/21 22:26:50  jareq
- fixed epoch:version issue

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.23  2002/12/23 12:22:25  qboosh
- updated URLs (but site is not notifier-friendly)

Revision 1.22  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.21  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/10 11:16:00  marcus
- use new %%doc

Revision 1.19  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 15:41:14  arturs
fixed a small typo

Revision 1.15  2002/04/13 07:33:23  kloczek
- s/rm/rm -f/

Revision 1.14  2002/04/12 23:58:43  marcus
- added patch to compiling on ppc
- rel.4.

Revision 1.13  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 19:53:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/07 20:02:22  blues
- release 3
- am_fix patch

Revision 1.8  2001/10/03 16:44:58  filon
- added version information for requires in devel and static
- release 2

Revision 1.7  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.6  2001/03/18 15:36:08  misiek
fixed kloczek's docsizm

Revision 1.5  2001/03/15 02:31:17  kloczek
- %doc moved to devel.

Revision 1.4  2001/03/14 14:27:54  misiek
new ac3dec from other author

Revision 1.3  2001/03/11 14:37:02  kloczek
- added automake, autoconf to Buildrequires.

Revision 1.2  2001/03/10 19:30:35  qboosh
- use RPM_OPT_FLAGS

Revision 1.1  2001/02/16 22:16:41  misiek
ac-3 streams decoder. new
